Show / Hide Table of Contents

# Class OpenIddictConstants.AuthenticationMethodReferences

##### Inheritance

System.Object
OpenIddictConstants.AuthenticationMethodReferences

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class AuthenticationMethodReferences

### Fields

#### Face

##### Declaration

    public const string Face = "face"

##### Field Value

Type | Description
--- | ---
System.String |

#### Fingerprint

##### Declaration

    public const string Fingerprint = "fpt"

##### Field Value

Type | Description
--- | ---
System.String |

#### Geolocation

##### Declaration

    public const string Geolocation = "geo"

##### Field Value

Type | Description
--- | ---
System.String |

#### HardwareKey

##### Declaration

    public const string HardwareKey = "hwk"

##### Field Value

Type | Description
--- | ---
System.String |

#### Iris

##### Declaration

    public const string Iris = "iris"

##### Field Value

Type | Description
--- | ---
System.String |

#### KnowledgeBased

##### Declaration

    public const string KnowledgeBased = "kba"

##### Field Value

Type | Description
--- | ---
System.String |

#### MultiChannel

##### Declaration

    public const string MultiChannel = "mca"

##### Field Value

Type | Description
--- | ---
System.String |

#### MultiFactor

##### Declaration

    public const string MultiFactor = "mfa"

##### Field Value

Type | Description
--- | ---
System.String |

#### OneTimePassword

##### Declaration

    public const string OneTimePassword = "otp"

##### Field Value

Type | Description
--- | ---
System.String |

#### Password

##### Declaration

    public const string Password = "pwd"

##### Field Value

Type | Description
--- | ---
System.String |

#### PersonalIdentificationNumber

##### Declaration

    public const string PersonalIdentificationNumber = "pin"

##### Field Value

Type | Description
--- | ---
System.String |

#### Retina

##### Declaration

    public const string Retina = "retina"

##### Field Value

Type | Description
--- | ---
System.String |

#### RiskBased

##### Declaration

    public const string RiskBased = "rba"

##### Field Value

Type | Description
--- | ---
System.String |

#### ShortMessageService

##### Declaration

    public const string ShortMessageService = "sms"

##### Field Value

Type | Description
--- | ---
System.String |

#### SmartCard

##### Declaration

    public const string SmartCard = "sc"

##### Field Value

Type | Description
--- | ---
System.String |

#### SoftwareKey

##### Declaration

    public const string SoftwareKey = "swk"

##### Field Value

Type | Description
--- | ---
System.String |

#### Telephone

##### Declaration

    public const string Telephone = "tel"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserPresence

##### Declaration

    public const string UserPresence = "user"

##### Field Value

Type | Description
--- | ---
System.String |

#### Voiceprint

##### Declaration

    public const string Voiceprint = "vbm"

##### Field Value

Type | Description
--- | ---
System.String |

#### WindowsIntegratedAuthentication

##### Declaration

    public const string WindowsIntegratedAuthentication = "wia"

##### Field Value

Type | Description
--- | ---
System.String |